Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
search
Search available subnets
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/search \
  --header 'Authorization: Bearer <token>'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Query Parameters

prefix_length
integer
required

Prefix Length

Required range: 8 <= x <= 24
reservation_id
string

Commitment Reservation ID

limit
integer
default:100

Limit results to this number

Required range: 1 <= x <= 1000
octets
integer[]

Search subnets by octets

Required array length: 1 - 3 elements
Required range: 8 <= x <= 255
address
string

Address

registrars
enum<string>[]

Registrar Name. Optional registrar_uuids or registry.

Available options:
afrinic,
apnic,
arin,
lacnic,
ripencc
sort
enum<string>[]

Sort. If prefixed with a dash, sorts descending

Available options:
price,
-price,
address,
-address
geo_providers
enum<string>[]

Geolocation providers to use for country/city filters

Available options:
maxmind,
ip2location,
dbip,
ipinfo,
ipgeolocation,
ipregistry
geo_country_code
string

Geolocation filter by country code

Required string length: 2
geo_city_name
string

Geolocation filter by city name

geo_provider_match_type
enum<string>
default:or

Match type for geo filter

Available options:
and,
or
price_min
number<float>

Price filter (min)

Required range: x >= 0
price_max
number<float>

Price filter (max)

Required range: x >= 0
price_negotiable
boolean

Price filter for if price is negotiable

capabilities_rpki
enum<string>

Subnet RPKI Capability status

Available options:
automated,
manual,
unsupported
capabilities_whois_inetnum
enum<string>

Subnet WHOIS Inetnum Capability status

Available options:
automated,
manual,
unsupported
capabilities_whois_routes
enum<string>

Subnet WHOIS Routes Capability status

Available options:
automated,
manual,
unsupported
capabilities_whois_rdns
enum<string>

Subnet WHOIS RDNS Capability status

Available options:
automated,
manual,
unsupported
promotional
boolean

Filter for promotional/featured subnets

Response

Successful operation